NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.MechanicalRouting.BendCornerTypeBuilder Class Reference

Contains setting for corner creation. More...

Inheritance diagram for NXOpen.MechanicalRouting.BendCornerTypeBuilder:
NXOpen.MechanicalRouting.BaseCornerTypeBuilder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendMethod { Radius, RatioToDiameter, BendRadiusTable, InnerRadius }
 Methods available for bend creation. More...
 

Properties

unsafe
NXOpen.MechanicalRouting.BendCornerTypeBuilder.BendMethod 
Method [get, set]
 Returns or sets the bend corner methods More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the bend corner radius More...
 
unsafe double RadiusFromBendTable [get, set]
 Returns or sets the radius determined using the stock and the bend radius table. More...
 
unsafe NXOpen.Expression RatioToDiameter [get]
 Returns the bend corner ratio to diameter More...
 
unsafe string StockPartNumberFromBendTable [get, set]
 Returns or sets the stock name determined using the stock and the bend radius table. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.MechanicalRouting.BaseCornerTypeBuilder
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Contains setting for corner creation.

Type of bend to be created and the method to create the corner.

Created in NX11.0.0

Member Enumeration Documentation

Methods available for bend creation.

Enumerator
Radius 

Radius method allows corner creation with the specified radius value

RatioToDiameter 

Ratio to diameter method

BendRadiusTable 

Bend table method creates bend from specified bend table

InnerRadius 

Inner Radius method allows corner creation with the specified inner radius value

Property Documentation

unsafe NXOpen.MechanicalRouting.BendCornerTypeBuilder.BendMethod NXOpen.MechanicalRouting.BendCornerTypeBuilder.Method
getset

Returns or sets the bend corner methods

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Expression NXOpen.MechanicalRouting.BendCornerTypeBuilder.Radius
get

Returns the bend corner radius

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe double NXOpen.MechanicalRouting.BendCornerTypeBuilder.RadiusFromBendTable
getset

Returns or sets the radius determined using the stock and the bend radius table.

Created in NX12.0.1

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Expression NXOpen.MechanicalRouting.BendCornerTypeBuilder.RatioToDiameter
get

Returns the bend corner ratio to diameter

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe string NXOpen.MechanicalRouting.BendCornerTypeBuilder.StockPartNumberFromBendTable
getset

Returns or sets the stock name determined using the stock and the bend radius table.

Created in NX12.0.1

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.